Name:           kcometen4
Version:        1.0.6
Release:        1%{?dist}
Summary:        An OpenGL screensaver with exploding comets for KDE4
Group:          Amusements/Graphics
License:        GPLv2+
URL:            http://www.mehercule.net/staticpages/index.php/kcometen4
Source0:        http://www.mehercule.net/kcometen4/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  cmake
BuildRequires:  qt4-devel
BuildRequires:  kdebase-workspace-devel

%description
KCometen4 is an OpenGL KDE screensaver. Inside a box is a nifty
light show that features lightning and exploding comets. It lets
you configure various effects like comet behavior, camera
movement, box face images, etc.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}
install -p -D -m 644 src/%{name}.kss.1 $RPM_BUILD_ROOT%{_mandir}/man1/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING
%{_kde4_bindir}/%{name}.kss
%{_kde4_datadir}/kde4/apps/%{name}
%{_kde4_datadir}/kde4/services/ScreenSavers/%{name}.desktop
%{_mandir}/man1/%{name}.kss.1.gz

%changelog
* Mon Nov  9 2009 Alexey Kurov <nucleo@fedoraproject.org> - 1.0.6-1
- update to 1.0.6

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul  1 2009 Alexey Kurov <nucleo@fedoraproject.org> - 1.0.5-1
- update to 1.0.5

* Wed Apr  8 2009 Alexey Kurov <nucleo@fedoraproject.org> - 1.0.4-2
- fixed Build Root

* Thu Apr  2 2009 Alexey Kurov <nucleo@fedoraproject.org> - 1.0.4-1
- Initial RPM release
